GET Match History
https://pd.{shard}.a.pvp.net/match-history/v1/history/{puuid}?startIndex={startIndex}&endIndex={endIndex}&queue={queue} Get the match history for the given player
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID
Query Parameters
-
startIndexoptionalThe index of the first match to return. Defaults to 0
-
endIndexoptionalThe index of the last match to return. Defaults to 20
-
queueoptionalThe queue to filter by. Defaults to all queues
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type MatchHistoryResponse = {
/** Player UUID */
Subject: string;
BeginIndex: number;
EndIndex: number;
Total: number;
History: {
/** Match ID */
MatchID: string;
/** Milliseconds since epoch */
GameStartTime: number;
/** Queue ID */
QueueID: string;
}[];
}; {
"Subject": "1B0F2555-Be82-D8c7-9F9c-c6BA7edc9cCE",
"BeginIndex": 2109567670530110,
"EndIndex": 6559525709240790,
"Total": 3877068666770914,
"History": [
{
"MatchID": "eCfFDdF1-d25E-BeDb-edC9-36ffffeda905",
"GameStartTime": "+105907-06-23T21:42:14.742Z",
"QueueID": "architecto"
},
{
"MatchID": "D4EBeED8-76cf-dB8F-dbd3-cCF9deCfB6B9",
"GameStartTime": "+193431-05-24T17:31:28.958Z",
"QueueID": "conicio"
},
{
"MatchID": "975D83f8-d335-7b9D-5DA1-DA2a6C45aB3e",
"GameStartTime": "4394-01-02T15:06:21.238Z",
"QueueID": "clamo"
}
]
}